#!/bin/bash

# Début
echo "Installation de TvOnResEl"

# Création d'un fichier exécutable pour lancer TvOnResEl
echo "Création du fichier exécutable TvOnResEl.sh..."

chm=`pwd`
chm=${chm//\ /\\\ }

echo "#!/bin/sh
cd $chm
java -jar TvOnResEl.jar \$@" | sudo tee TvOnResEl.sh > /dev/null

# on rend le fichier exécutable
sudo chmod a+x TvOnResEl.sh

# on le copie dans /usr/local/bin si possible
echo "Mise en place du lanceur dans /usr/local/bin"

sudo cp TvOnResEl.sh /usr/local/bin/TvOnResEl

# Création d'un raccourci sur le bureau

echo "Création du lanceur de TvOnResEl sur le bureau..."

echo "[Desktop Entry]
Encoding=UTF-8
Name=TvOnResEl
Type=Application
Exec=$chm/TvOnResEl.sh
Icon=`pwd`/TvOnResEl.png
Categories=Application;AudioVideo;
Comment=Regardez la TV sur le ResEl" > ~/Desktop/TvOnResEl.desktop

# Création d'un raccourci dans ce répertoire

echo "Création du lanceur de TvOnResEl dans ce répertoire..."

echo "[Desktop Entry]
Encoding=UTF-8
Name=TvOnResEl
Type=Application
Exec=$chm/TvOnResEl.sh
Icon=`pwd`/TvOnResEl.png
Categories=Application;AudioVideo;
Comment=Regardez la TV sur le ResEl" | sudo tee TvOnResEl.desktop > /dev/null

# Création d'un raccourci vers TvOnResEl discret dans ce répertoire

echo "Création du lanceur de TvOnResEl minimisé dans ce répertoire..."

echo "[Desktop Entry]
Encoding=UTF-8
Name=TvOnResEl discret
Type=Application
Exec=$chm/TvOnResEl.sh -discret
Icon=`pwd`/TvOnResEl.png
Categories=Application;AudioVideo;
Comment=Lancez TvOnResEl invisible" | sudo tee TvOnResEl-discret.desktop > /dev/null

echo "Installation de TvOnResEl terminée avec succès."
